//These variables will get set automatically
texture tex1;

float2 rcpres;

sampler s0 = sampler_state { texture = <tex1>; };



float4 NormalColourPass( in float2 Tex : TEXCOORD0 ) : COLOR0
{
	float4 color = tex2D( s0, Tex );
	color.a = 1;
	return color;
}

float4 DiffColourPass( in float2 Tex : TEXCOORD0 ) : COLOR0
{
	float4 Color = tex2D( s0, Tex );
        Color.r = Color.r*sin(Tex.y*100)*2;
        Color.g = Color.g*cos(Tex.y*200)*2;
        Color.b = Color.b*sin(Tex.y*300)*2;
	return Color;
}




Technique T0
{

    pass p0 { PixelShader = compile ps_2_0 NormalColourPass(); }
    pass p1 { PixelShader = compile ps_2_0 DiffColourPass(); }
}

